curl --request GET \
--url https://api.synctera.com/v2/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"emboss_name": {
"line_1": "Jane Smith",
"line_2": "Acme Inc."
},
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"form": "PHYSICAL",
"shipping": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": true,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"card_status": "ACTIVE",
"status_reason": "ACT",
"card_fulfillment_status": "DIGITALLY_PRESENTED",
"card_brand": "MASTERCARD",
"physical_card_format": "CHIP",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_time": "2010-05-06T12:23:34.321Z",
"expiration_year": "25",
"is_pin_set": true,
"last_four": "1234",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"reissue_reason": "APPEARANCE",
"reissued_from_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"reissued_to_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"timestamp_pin_set": "2010-05-06T12:23:34.321Z",
"bulk_order_config_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_image_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"memo": "<string>",
"pending_reasons": {
"is_waiting_for_bulk_shipment": true,
"is_waiting_for_image": true,
"is_waiting_for_pin": true
},
"fulfillment_details": {
"bulk_order_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"ship_date": "2022-07-19",
"shipping_method": "UPS Next Day Air Saver",
"tracking_number": "1ZW3268W1319325382"
},
"bin": "<string>"
},
"tenant": "abcdef_ghijkl",
"type": "CREDIT",
"vendor_data": {
"episodesix": {
"card_number": "<string>"
},
"loan_pro": {
"card_id": 123,
"secure_payments_card_uuid": "<string>"
}
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List Cards
List of cards matching query parameters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The last 4 digits of the card PAN
^\d{4}$"1234"
The unique identifier of a bulk order in which the card was fulfilled
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The brand of a card product
MASTERCARD, VISA The BIN number that prefixes a card PAN (first 6 or 8 digits)
^(\d{6}|\d{8})$123456
emboss name
The unique identifier of a bulk order configuration
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The format of the card PHYSICAL or VIRTUAL.
PHYSICAL, VIRTUAL The date representing when the card will expire or become invalid before.
"2006-01-02"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
The status of a card The status indicating the card lifecycle state
ACTIVE, PENDING, REJECTED, SUSPENDED, TERMINATED, UNACTIVATED The unique identifier of a customer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a cards product
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Account ID(s). Multiple IDs can be provided as a comma-separated list.
The unique identifier of an account
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
The barcode associated with a card
\d{20}10044461864615598000
The date representing when the card would expire at
"2006-01-02"
Specifies the sort order for the returned cards.
account_id:asc, account_id:desc, card_brand:asc, card_brand:desc, card_product_id:asc, card_product_id:desc, card_status:asc, card_status:desc, card_type:asc, card_type:desc, customer_id:asc, customer_id:desc, expiration_date:asc, expiration_date:desc, form:asc, form:desc, last_four:asc, last_four:desc Response
Cards
Array of Cards
A card that can spend against a credit account
- Credit Card
- Debit Card
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
"a8937a0d"
Was this page helpful?

